Bug 1986752 - [abrt] remmina: g_type_check_instance_cast(): remmina killed by SIGSEGV
Summary: [abrt] remmina: g_type_check_instance_cast(): remmina killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 34
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a14417a954721548a27fceba339...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-28 09:39 UTC by Alexandr
Modified: 2021-11-26 01:27 UTC (History)
4 users (show)

Fixed In Version: remmina-1.4.21-1.fc34 remmina-1.4.21-1.fc33
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-26 01:07:40 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (55.08 KB, text/plain)
2021-07-28 09:39 UTC, Alexandr
no flags Details
File: core_backtrace (9.07 KB, text/plain)
2021-07-28 09:39 UTC, Alexandr
no flags Details
File: cpuinfo (2.46 KB, text/plain)
2021-07-28 09:39 UTC, Alexandr
no flags Details
File: dso_list (186 bytes, text/plain)
2021-07-28 09:39 UTC, Alexandr
no flags Details
File: environ (2.09 KB, text/plain)
2021-07-28 09:39 UTC, Alexandr
no flags Details
File: exploitable (82 bytes, text/plain)
2021-07-28 09:39 UTC, Alexandr
no flags Details
File: limits (1.29 KB, text/plain)
2021-07-28 09:39 UTC, Alexandr
no flags Details
File: maps (3.91 KB, text/plain)
2021-07-28 09:39 UTC, Alexandr
no flags Details
File: mountinfo (3.89 KB, text/plain)
2021-07-28 09:39 UTC, Alexandr
no flags Details
File: open_fds (1.54 KB, text/plain)
2021-07-28 09:39 UTC, Alexandr
no flags Details
File: proc_pid_status (1.39 KB, text/plain)
2021-07-28 09:39 UTC, Alexandr
no flags Details

Description Alexandr 2021-07-28 09:39:02 UTC
Version-Release number of selected component:
remmina-1.4.18-1.fc34

Additional info:
reporter:       libreport-2.15.2
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/app-gnome-remmina\x2dapplet-2569.scope
cmdline:        remmina -i
crash_function: g_type_check_instance_cast
executable:     /usr/bin/remmina
journald_cursor: s=8ee0fb444c1747cbb3abec95ad206a05;i=c9a78;b=e449c04a70a84c8d8bf7eb62a89cdb0a;m=b851945674;t=5c82b47916c9d;x=7613c8bdea5085f
kernel:         5.12.15-300.fc34.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 g_type_check_instance_cast at ../gobject/gtype.c:4109
 #1 rcw_after_configure_scrolled at /usr/src/debug/remmina-1.4.18-1.fc34.x86_64/src/rcw.c:2876
 #5 g_main_context_iterate.constprop.0 at ../glib/gmain.c:4131
 #6 g_main_context_iteration at ../glib/gmain.c:4196
 #7 g_application_run at ../gio/gapplication.c:2560

Comment 1 Alexandr 2021-07-28 09:39:08 UTC
Created attachment 1806625 [details]
File: backtrace

Comment 2 Alexandr 2021-07-28 09:39:11 UTC
Created attachment 1806626 [details]
File: core_backtrace

Comment 3 Alexandr 2021-07-28 09:39:13 UTC
Created attachment 1806627 [details]
File: cpuinfo

Comment 4 Alexandr 2021-07-28 09:39:15 UTC
Created attachment 1806628 [details]
File: dso_list

Comment 5 Alexandr 2021-07-28 09:39:17 UTC
Created attachment 1806629 [details]
File: environ

Comment 6 Alexandr 2021-07-28 09:39:19 UTC
Created attachment 1806630 [details]
File: exploitable

Comment 7 Alexandr 2021-07-28 09:39:22 UTC
Created attachment 1806631 [details]
File: limits

Comment 8 Alexandr 2021-07-28 09:39:24 UTC
Created attachment 1806632 [details]
File: maps

Comment 9 Alexandr 2021-07-28 09:39:26 UTC
Created attachment 1806633 [details]
File: mountinfo

Comment 10 Alexandr 2021-07-28 09:39:29 UTC
Created attachment 1806634 [details]
File: open_fds

Comment 11 Alexandr 2021-07-28 09:39:31 UTC
Created attachment 1806635 [details]
File: proc_pid_status

Comment 12 Drew Dowling 2021-10-06 18:08:49 UTC
Similar problem has been detected:

A remote desktop connection attampt failed and 10 seconds later the app crashed.

reporter:       libreport-2.15.2
backtrace_rating: 4
cmdline:        remmina
crash_function: g_type_check_instance_cast
dso_list:       /usr/bin/remmina remmina-1.4.20-1.fc34.x86_64 (Fedora Project) 1627666062
executable:     /usr/bin/remmina
journald_cursor: s=12824ff11dfd44308e3c4b47a7da0c81;i=22cab;b=70ee078fee7845d495a0b37c441413b3;m=461296acc;t=5cdb2fb523be0;x=b7acd977041627ef
kernel:         5.14.9-200.fc34.x86_64
package:        remmina-1.4.20-1.fc34
reason:         remmina killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Fedora Update System 2021-11-10 20:40:51 UTC
FEDORA-2021-ac23d9e47f has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ac23d9e47f

Comment 14 Fedora Update System 2021-11-10 20:40:59 UTC
FEDORA-2021-5d227916bc has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5d227916bc

Comment 15 Fedora Update System 2021-11-11 02:13:06 UTC
FEDORA-2021-5d227916bc has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5d227916bc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5d227916bc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2021-11-11 02:33:43 UTC
FEDORA-2021-ac23d9e47f has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ac23d9e47f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ac23d9e47f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2021-11-26 01:07:40 UTC
FEDORA-2021-5d227916bc has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2021-11-26 01:27:51 UTC
FEDORA-2021-ac23d9e47f has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.